.p-template-detail {
  &__container {
    height: 100%;
    .select-level {
      width: calc(100% - 20rem);
      position: absolute;
      top: 0;
      left: 20rem;
      z-index: 101;
      .rs-dropdown {
        &-toggle {
          width: 100%;
          height: 3.6rem;
          background: transparent;
          color: transparent;
        }
        &-item {
          &:hover {
            background: rgba($color: $success, $alpha: 0.25);
            color: $dark;
          }
        }
      }
      & > ul {
        width: 100%;
      }
    }
    .__section-list {
      padding: 1rem;
      border: 0.1rem dashed $light;
    }
    .__add-section {
      height: 3.2rem;
      padding: 0 1rem;
      background: $success;
      color: $white;
      display: flex;
      align-items: center;
      justify-content: center;
      font-size: 1.6rem;
    }
    .__footer-btns {
      width: calc(100% + 3.2rem);
      margin-top: 1.6rem;
      padding: 1.6rem;
      background: $white;
      border: 0.1rem solid $light;
      display: flex;
      justify-content: flex-end;
      position: sticky;
      bottom: 0;
      z-index: 100;
      transform: translateX(-1.6rem);
      .__save {
        min-width: 10rem;
        margin: 0 0 0 1.6rem;
      }
      .__cancel {
        min-width: 10rem;
        margin: 0 0 0 1.6rem;
        background: $light;
      }
    }
  }
}

.p-question-update {
  &__container {
    height: 100%;
    .__form-control {
      display: flex;
      flex-wrap: wrap;
      margin-left: -1rem;
      margin-right: -1rem;
      margin-bottom: -1.6rem;
      .form-input {
        width: calc(33.33% - 2rem);
        margin-left: 1rem;
        margin-right: 1rem;
        margin-bottom: 1.6rem;
      }
      .form-input-haft {
        width: calc(50% - 2rem);
        margin-left: 1rem;
        margin-right: 1rem;
        margin-bottom: 1.6rem;
      }
      .form-input-stretch {
        width: calc(100% - 2rem);
        margin-left: 1rem;
        margin-right: 1rem;
        margin-bottom: 1.6rem;

        .box-action-info {
          top: 0;
          border-top: 0;
          border-radius: 8px 8px 0 0;
          margin-top: 1px;
          border-bottom: 0.1rem solid #d5dee8;
          height: 3.7rem;

          .clear-outline {
            content: '';
            width: 6rem;
            height: 1rem;
            position: absolute;
            top: -10px;
            left: 1.5rem;
            background: rgb(201, 236, 248);
          }

          .add-new-answer {
            border-radius: 5px;
            width: 2.8rem;
            height: 2.6rem;
            text-align: center;
            background-color: transparent;

            img {
              width: 12px;
              position: relative;
              top: 0;
              left: -4px;
            }

            &:hover {
              background-color: rgba(192, 192, 192, 0.4);
            }
          }
        }

        .a-content-with-label {
          &[data-exist='true'] {
            & label {
              top: 0;

              &::after {
                border: #f5f8fc;
              }
            }

            & div[contenteditable='true']
            & div[contenteditable='false'] {
              &::after {
                border: #f5f8fc;
              }
            }
          }

          & div[contenteditable='true'],
          & div[contenteditable='false'] {
            padding: 4.7rem 1.2rem 1rem;

            &::after {
              content: '';
              width: 6rem;
              height: 0.2rem;
              position: absolute;
              top: 0px;
              left: 1.5rem;
              border-top: 0.1rem solid #d5dee8;
            }

            &:focus {
              & ~ label {
                top: 0rem;
              }

              &::after {
                border: #f5f8fc;
              }
            }
          }

          & label {
            top: 6rem;
            &::before {
              position: absolute;
              bottom: 0;
              left: 0;
              z-index: 1;
        
              width: 100%;
              height: calc(50% + 0.025rem);
        
              background: #fff;
        
              content: '';
            }
          }
        }
      }
      .col-4 {
        width: calc(25% - 2rem);
      }
    }

    .box-action-info {
      position: absolute;
      bottom: 0.1rem;
      left: 0.1rem;
      height: 4.5rem;
      width: calc(100% - 0.2rem);
      background-color: white;
      border-radius: 0 0 8px 8px;
      border-top: 1px solid #d5dee8;
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 0 1.8rem;

      .add-new-answer {
        cursor: pointer;
        color: #309fc3;
        font-weight: 500;
        img {
          margin-top: -0.3rem;
        }
      }

      & > .text-guide {
        font-size: 1.2rem;
        color: #39c9f9;
        font-weight: 600;
        display: inline-block;
        line-height: 1.6rem;

        & > img {
          width: 1.6rem;
          height: 1.6rem;
          vertical-align: top;
          margin-right: 0.6rem;
        }
      }
    }

    .box-image-input {
      display: flex;
      flex-direction: column;
      height: 18rem;
      justify-content: center;
      align-items: center;
      background: #fff;
      border-radius: 0.8rem;
      border: 0.1rem solid #d5dee8;
      margin-left: 1rem;
      margin-right: 1rem;
      margin-bottom: 1.6rem;
      cursor: pointer;
      padding: 1rem;

      > img.icon {
        width: 32px;
        height: 32px;
      }

      > img.image-upload {
        max-height: 100%;
        max-width: 100%;
        object-fit: contain;
      }

      &.error {
        border-color: #dd3a09;
      }
    }

    .box-audio-input {
      width: 120px;
      height: 120px;
      background-color: white;
      border-radius: 50%;
      display: flex;
      justify-content: center;
      align-items: center;
      cursor: pointer;

      img {
        width: 100%;
        height: 100%;
      }

      &.has-data {
        color: #009dff;
      }

      &.error {
        border: 1px solid #dd3a09;
      }
    }

    .box-wrapper {
      flex: 1;
      display: flex;
      flex-direction: column;
      background-color: #f5f8fc;
      border-radius: 8px;
      padding: 1.6rem 0.6rem 0rem 0.6rem;
      margin-bottom: 1.6rem;

      &:nth-child(1) {
        margin-left: 1rem;
        margin-right: 1.2rem;
      }
      &:not(:nth-child(1)) {
        margin-left: 1.2rem;
        margin-right: 1rem;
      }

      > label {
        font-weight: 600;
        margin-left: 1rem;
        margin-bottom: 1rem;
      }
    }

    .border-error {
      border: 1px solid #dd3a09;
      position: absolute;
      inset: 0;
      border-radius: 8px;
      pointer-events: none;
      display: none;
    }

    .box-error {
      border: 1px solid #dd3a09;
      inset: 0;
      // pointer-events: none;
    }

    .error {
      > table > tbody > tr > td.option {
        position: relative;

        &::after {
          content: ' ';
          position: absolute;
          inset: 0;
          border: 1px solid #dd3a09;
          pointer-events: none;
          border-radius: 8px;
        }
      }
      .border-error {
        display: unset;
      }
    }
  }

  .__main-btn {
    height: 4rem;
    margin: 0 0.8rem;
    padding: 0 1.6rem;
    width: 16rem;

    display: flex;
    align-items: center;
    justify-content: center;

    background: #5cb9d8;
    border-radius: 1rem;
    box-shadow: none;

    color: #fff;
    font-size: 1.4rem;
    font-weight: 500;

    img {
      width: 1.6rem;
      height: 1.6rem;
      margin: 0 0.8rem 0 0;

      object-fit: contain;
      object-position: center;

      filter: brightness(5);
    }
  }
}

.review-modal {
  width: unset;
  .rs-modal-dialog {
    width: min(80rem, 100vw);
  }
  &.review-modal-MG4{
    .rs-modal-dialog {
      width: min(100rem, 100vw);
    }
  }
  .rs-modal-header{
    padding-left: 10px;
    .rs-modal-header-close{
      right: 30px;
    }
  }
  .rs-modal-body{
    padding-left: 10px;
    padding-right: 10px;
  }
}

.review-question-modal {
  width: unset;
  .rs-modal {
    height: 100vh;
    width: 100vw;

    &--dialog {
      width: 100%;
    }

    &-body {
      margin: 0;
      padding: 0px;
      // max-height: 75vh !important;
      min-height: 50vh !important; 
      height: 60vh;
      width: 70vw;
      border-radius: 10px;
      @media (max-width: 768px) {
          height: 75vh;
          width: 90vw;        
      }  
    }
    &-content{
      border-radius: 10px;
      padding: 0;
      height: 100%;
      width: inherit;            
    }
  }
  &-custom{
    margin: 0 auto;
    display: flex !important;
    justify-content: center;
    align-items: center;
    width: 85%;
    height: 100%;
    background: initial !important;
    @media (max-width: 768px) {
        width: 100%;      
        height: 100%;  
    }  
  }

  .modal-header{
    display: flex;
    align-items: center ;
    justify-content: space-between;
    font-size: 18px;
    font-family: 'Montserrat SemiBold';
    padding: 10px 35px;
    color: #606161;
    background-color: #fff;
  }
  .option-btn {
    border-radius: 25%;
    background-color: #E6E5EE;
    height: 40px;
    width: 40px;
    position: relative;
    cursor: pointer;
    img {
        width: 100%;
        height: 100%;
        object-fit: contain;
        object-position: center;
    }
  }
  .modal-sub-content{
    border-radius: 0 0 10px 10px;
    background-color: #E6E5EE;
    padding: 0 35px 0px;
    height: calc(100% - 60px);
  }
}


.p-unit-test {
  &__container {
    height: 100%;
    & > .__tab {
      margin: 1.6rem 0 0 0;
    }
  }
}

.p-user-update {
  .a-card {
    &__header {
      margin-bottom: 1.8rem;
    }
    width: 50%;
    margin-top: 1.6rem;

    .p-user-update {
      &__container {
        height: 100%;
        .__form-control {
          // padding: 0 2rem 2rem 2rem;
          .form-row {
            margin-top: 2rem;
          }
          .contai-pass {
            margin-top: 2rem;
            display: flex;
            position: relative;

            .a-input-custom {
              width: 100%;
            }
            .eye-icon {
              position: absolute;
              right: 0.8rem;
              top: 0.8rem;
              width: 2.4rem;
              height: 2.4rem;
              cursor: pointer;
            }

            .input-pass {
              padding-right: 3.6rem;
            }
            .a-input-with-label {
              width: 100%;
            }
          }
          .form-check {
            margin: 1rem 0 1rem -1rem;
          }
        }
      }
    }
  }
}

.p-unit-test-export {
  font-size: 14px;
  line-height: 24px;
  color: #21213d;
  width: 824px;
  font-family: roboto;
  white-space: pre-wrap;
.question-text-empty-mc1{
  width: 32px;
    display: inline-block;
}
  -webkit-print-color-adjust: exact;

  --marginLeft: 32px;

  table.info {
    width: 100%;
    font-weight: 500;

    tbody {
      tr {
        td {
          padding: 10px;
          border: 1px solid black;

          .user-info:not(:first-child) {
            margin-top: 10px;
          }
        }
      }
    }
  }

  .vertical-top {
    vertical-align: top;
  }

  .unit-test-title {
    margin-top: 27px;
    text-align: center;
    font-weight: bold;
    color: #188fba;
    font-size: 16px;
  }

  .unit-test-time {
    text-align: center;
    font-weight: bold;
    color: #188fba;
    font-size: 16px;
  }

  .unit-test-section {
    width: 100%;
  }

  .unit-test-part {
    display: flex;
    color: #188fba;
    align-items: center;
    font-weight: bold;
    margin-top: 25px;
    > div {
      padding: 5px;
      border: 1px solid #188fba;
      border-radius: 8px;
      margin-right: 5px;
    }
  }

  .box-question {
    margin-left: 5px;
    margin-top: 20px;
    display: block;
    .instruction {
      font-weight: bold;
      display: flex;
      white-space: pre-wrap;

      span {
        width: 32px;
        display: inline-block;
      }

      &_question{
        width: auto !important;
      }
    }

    .reading-script {
      display: block;
      white-space: pre-wrap;
      margin-top: 10px;
      padding: 10px;
      background-color: #edf9fd;
      border-radius: 16px;
      border: 1px dashed #35b9e6;
    }

    .question {
      display: block;
      margin-left: var(--marginLeft);
      margin-top: 10px;
      white-space: pre-wrap;
    }

    .multi-question {
      margin-top: 20px;
    }

    .box-image {
      height: 136px;
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 10px;
      img {
        height: 100%;
      }
    }

    .box-answers {
      margin-left: var(--marginLeft);
      margin-top: 10px;
      display: flex;
      flex-wrap: wrap;
      white-space: pre-wrap;

      .answer {
        flex: 1;
        // padding: 0 5px;
      }

      &.vertical {
        flex-direction: column;
        margin-left: var(--marginLeft);

        .answer {
          padding: 5px;
        }
      }
    }

    .hint-text {
      margin-left: var(--marginLeft);
      font-weight: bold;
      font-style: italic;
    }
  }

  .end-page {
    margin-top: 20px;
    color: #188fba;
    font-weight: bold;
    text-align: center;
    width: 100%;
    display: inline-block;
  }

  .answer-table {
    margin-top: 15px;
    position: relative;

    table {
      width: 100%;
      border-radius: 8px;
      overflow: hidden;

      thead tr th {
        padding: 10px;
        background-color: #c9ecf8;

        &:nth-child(1) {
          text-align: left;
        }
        &:nth-child(2) {
          width: 55px;
        }
        &:nth-child(3) {
          width: 55px;
        }
        &:nth-child(4) {
          width: 80px;
        }
      }

      tbody tr {
        &.divide {
          td > div {
            width: calc(100% - 20px);
            margin-left: 10px;
            border-top: 1px solid #d5dee8;
          }
        }
        &:not(.divide) td {
          padding: 5px 10px;
          position: relative;

          &:nth-child(2) {
            text-align: center;
          }
          &:nth-child(3) {
            text-align: center;
          }
          &:nth-child(4) {
            text-align: center;
          }

          .radio {
            width: 16px;
            height: 16px;
            background: #ffffff;
            border: 1.5px solid #9cabbd;
            box-sizing: border-box;
            border-radius: 20px;
            position: absolute;
            top: calc(50% - 8px);
            left: calc(50% - 8px);
          }
        }
      }
    }

    &::after {
      content: ' ';
      position: absolute;
      inset: 0;
      border-radius: 8px;
      border: 1px solid #d5dee8;
      pointer-events: none;
    }
  }

  .matching-table {
    width: 100%;
    margin-top: 20px;

    tbody > tr > td {
      padding: 5px;

      &:nth-child(1) {
        width: 50%;
      }
      &:nth-child(2) {
        width: 50%;
      }
    }
  }
}

.prevent-page-break {
  page-break-inside: avoid;
  break-inside: avoid-page;
  display: table;
  overflow: hidden;
}
//tf34
.box-question-export-tf34{
  .text-underline{
    text-decoration: underline;
  }
  .box-image-export-tf{
    width: 136px;
    min-width: 136px;
    max-width: 136px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px;
    img{
      width: 100%;
    }
  }
  .line-a-question{
    display: flex;
    justify-content: space-between;
    &__content{
      display: flex;
      align-items: center;
      
      &__text-index{
        width: 20px;
        min-width: 20px;
        max-width: 20px;
      }
    }
    &__true-false{
      padding: 0 10px 0 0;
      display: flex;
      justify-content: flex-end;
      align-items: center;
      &__checkbox{
        font-size: 20px;
        padding: 0 5px 0 25px;
        color: #9cabbd;
      }
      .text-tf{
        font-weight: bold;
        color: #009d12;
        &:last-child{
          color: #d25045;
        }
      }
    }
  }
}
.text-underline{
  text-decoration: underline;
}

//update dd1
.box-question-export-dd1 {
  .text-underline {
    text-decoration: underline;
  }
  .box-image-export-dd1 {
    width: 136px;
    min-width: 136px;
    max-width: 136px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px;
    img {
      max-width: 100%;
      max-height: 100%;
      height: auto;
    }
  }
  .no-image-data {
    width: 0 !important;
    min-width: 0 !important;
    max-width: 0 !important;
    display: none;
    img {
      max-width: 0%;
      max-height: 0%;
      height: 0;
    }
  }
  .answer-export-dd1 {
    display: flex;
    flex-direction: column;
  }
  .line-a-question {
    display: flex;
    justify-content: space-between;
    &__content {
      display: flex;
      align-items: center;

      &__text-index {
        width: 20px;
        min-width: 20px;
        max-width: 20px;
      }
    }
  }
}